View Issue Details

This bug affects 1 person(s).
 12
IDProjectCategoryView StatusLast Update
08837Feature requestsStatisticspublic2016-09-01 10:54
Reporterfdeconiac Assigned To 
PrioritynormalSeverityfeature 
Status newResolutionopen 
Summary08837: Statistics : add filters on user attributs (not only question)
DescriptionNow, to use statistics for some specific users, we can not filter on their attributes that we can alreay have (imported).
So the only way to do it is to create question/ask them again some information about them (information that we already have in fact).

So, could it be possible to add on the statistic filters page (index.php/admin/statistics/sa/index/surveyid/), a part with filters on "user" before the part on "answers" filters ?

That would really empowering this tool i just discovered !

Kindly regards
TagsNo tags attached.
Bug heat12

Relationships

has duplicate 11610 closed Add participants filters to statistics 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2014-03-11 12:00

developer   ~29185

And add a Equation Filter too ;)
fdeconiac

fdeconiac

2014-04-08 16:33

reporter   ~29694

Hi Denis,
Hi developpers team,

I'm still blocked on the use of Lime because of the missing filters on user attributes to display statistics.

Can someone notice me of the possibility to develop this filters ?
What could i do to make it possible (maybe help for specifications or describe more) ?

Thanks for your help :)
DenisChenu

DenisChenu

2014-04-09 11:27

developer   ~29700

Hi fdeconiac.

Without any modification, you can use:
- Question type 'short text'
- Set default to '{TOKEN:ATTRIBUTE_1}
- Set question advanced setting to hidden

You have your filter in statistics.

Denis
DenisChenu

DenisChenu

2016-09-01 10:54

developer   ~40622

Starting point for some filter:

- https://framagit.org/SondagePro-LimeSurvey-plugin/exportFilter
- https://framagit.org/SondagePro-LimeSurvey-plugin/extendAdminStatitistics

Issue History

Date Modified Username Field Change
2014-03-11 09:24 fdeconiac New Issue
2014-03-11 12:00 DenisChenu Note Added: 29185
2014-04-08 16:33 fdeconiac Note Added: 29694
2014-04-09 11:27 DenisChenu Note Added: 29700
2016-09-01 10:52 DenisChenu Relationship added has duplicate 11610
2016-09-01 10:54 DenisChenu Note Added: 40622